Magisk v23 with Android Studio



  • I am trying to install LSPosed [1], but it requires Magisk v23 [2]. I tried to install Magisk v23 using the instruction here [3], but I get this result:

    - Device platform: x86
    - Installing: 23.0 (23000)
    - Copying image to cache
    ! Process error
    ! Installation failed
    

    In one of the steps, the instructions say you can use one of these three commands:

    patch.bat
    patch.bat manager
    patch.bat canary
    

    I ran through all the steps three times, each time using a different command above, none of them worked. Note, I am able to install the older Magisk v21.4, but nothing newer. I am using Android Studio with a Virtual Device:

    API 27
    Android 8.1
    

    I have seen other people show screenshots of this working, but they refuse to explain how they were able to do it. Does anyone know how to get this working?

    1. https://github.com/LSPosed/LSPosed
    2. https://github.com/topjohnwu/Magisk
    3. https://github.com/shakalaca/MagiskOnEmulator


  • Okay so you have magisk 21.x working...

    su
    echo $PATH
    

    Copy the output string.

    Use a file explorer with root access and

    1. Head over to /

    2. Edit init.environ.rc by adding "export PATH " as the first line of the file.

    3. Now, if there is no sbin folder in / , make one

    4. Now from magisk manager (or whatever way), upgrade to Magisk 23




Suggested Topics

  • 2
  • 2
  • 2
  • 2
  • 2
  • 2
  • 2
  • 2
  • 2
  • 2
  • 2
  • 2
  • 2
  • 2
  • 2